[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoUnDock

Notifies an OnUnDock handler and the DockManager of an undocked client control.

## Declaration

Source position: controls.pp line 2243

`protected function TWinControl.DoUnDock(`
`NewTarget: TWinControl;`
`Client: TControl;`
`KeepDockSiteSize: Boolean = True`
`):Boolean; virtual;`

## Arguments

`NewTarget` |  | The new docksite, Nil for floating.
`Client` |  | The control being undocked.

## Function result

Set to False to deny undocking.

## Description

The OnUnDock handler can deny the undocking request for the control. This can cause problems; instead, the control better should not be draggable.

## See also

TWinControl.DoUndockClientMsg |  | Notifies the DockManager of the undock of a client control.
TWinControl.OnUnDock |  | Event handler signalled before a control is undocked from its DockSite.